<div class="container">
    <div class="container">
        <h2>
            <span>Form Input Tanda Terima Baru</span>
        </h2>
        <jhi-alert></jhi-alert>
        <div class="ui-g-12" style="background-color: white">
            <div class="ui-g-12" style="margin-top: 50px;">
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label for="nott">No. Tanda Terima</label>
                    </div>
                    <div class="ui-g-10">
                        <input type="text" [(ngModel)]="nott" class="form-control" (blur)="ceknott()" readonly>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label for="nott">Tanggal</label>
                    </div>
                    <div class="ui-g-10">
                        <p-calendar inputId="dtreceipt" name="input_dtreceipt" [(ngModel)]="ttdtreceipt"
                            dateFormat="dd-MM-yy" [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999"
                            appendTo="body" autocomplete="false"></p-calendar>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label class="form-control-label" for="field_nmspl">Jenis</label>
                        <div class="ui-g">
                            <div class="ui-g-3">
                                <p-radioButton name="group2" value="PBL" label="PBL" [(ngModel)]="tandaTerima.jenis"
                                    inputId="jenis1"></p-radioButton>
                            </div>
                            <div class="ui-g-3">
                                <p-radioButton name="group2" value="MKT" label="MKT" [(ngModel)]="tandaTerima.jenis"
                                    inputId="jenis2"></p-radioButton>
                            </div>
                            <div class="ui-g-3">
                                <p-radioButton name="group2" value="LAIN" label="LAIN" [(ngModel)]="tandaTerima.jenis"
                                    inputId="jenis3"></p-radioButton>
                            </div>
                            <div class="ui-g-3">
                                <p-radioButton name="group2" value="SMK" label="SMK" [(ngModel)]="tandaTerima.jenis"
                                    inputId="jenis4"></p-radioButton>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-2">
                        <label for="nott">Kode Relasi</label>
                    </div>
                    <div class="ui-g-10">
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_nmspl">Nama Supplier</label>
                                <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredSuppliers"
                                    (completeMethod)="filterSupplierSingle($event)" [size]="34" name="suplier"
                                    [minLength]="1" field="nmSupplier" placeholder="Silahkan Pilih"
                                    (onSelect)="selectSupplier(true)" [dropdown]="true"></p-autoComplete>
                            </div>
                        </div>
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_nmspl">Kode Supplier</label>
                                <p-autoComplete [(ngModel)]="newSuplier" [suggestions]="filteredCodeSuppliers"
                                    (completeMethod)="filterSupplierCodeSingle($event)" [size]="34" name="suplier"
                                    [minLength]="1" field="kd_suppnew" placeholder="Silahkan Pilih"
                                    (onSelect)="selectSupplier(true)" [dropdown]="true"></p-autoComplete>
                            </div>
                        </div>
                        <div class="ui-g-12">
                            <div class="form-group">
                                <label class="form-control-label" for="field_nmspl">Alamat Supplier</label>
                                <input type="text" class="form-control" id="field_alamat"
                                    name="field_alamat" [(ngModel)]="newSuplier.alamat1"
                                    autofocus="autofocus" rows="1" cols="30" autoResize="autoResize"
                                    style="width: 600px;" readonly>
                                    <input type="text" class="form-control" id="field_alamat"
                                    name="field_alamat" [(ngModel)]="newSuplier.alamat2"
                                    autofocus="autofocus" rows="1" cols="30" autoResize="autoResize"
                                    style="width: 600px;" readonly>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <button pButton label="Tambah Baris" icon="fa-add" class="ui-button-primary flat-label-button"
                            (click)="tambahBaris()"></button>
                    </div>
                    <br>
                    <p-dataTable [value]="items" [editable]="true" [responsive]="true">
                        <p-column header="No">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nourut}}
                            </ng-template>
                        </p-column>
                        <p-column header="No. Kwitansi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <input type="text" class="form-control" id="field_dtsentnote_{{rowData.invno}}"
                                    name="field_dtsentnote_{{rowData.invno}}" [(ngModel)]="rowData.invno"
                                    autofocus="autofocus" rows="1" cols="30" autoResize="autoResize"
                                    style="width: 150px;" (blur)="cekInvoice(rowData)">
                            </ng-template>
                        </p-column>
                        <p-column header="Tgl Kwitansi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <p-calendar inputId="field_dtinv_{{rowData.dtinv}}" name="input_dtinv"
                                    [(ngModel)]="rowData.dtinv" dateFormat="dd-MM-yy" [monthNavigator]="true"
                                    [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                            </ng-template>
                        </p-column>
                        <p-column header="No. Faktur Pajak">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <input type="text" class="form-control" id="field_dtsentnote_{{rowData.invtaxno}}"
                                    name="field_dtsentnote_{{rowData.nourut}}" [(ngModel)]="rowData.invtaxno"
                                    autofocus="autofocus" rows="1" cols="30" autoResize="autoResize"
                                    style="width: 150px;">
                            </ng-template>
                        </p-column>
                        <p-column header="Tgl Faktur Pajak">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <p-calendar inputId="field_dtinvtax_{{rowData.nourut}}" name="input_dtinvtax"
                                    [(ngModel)]="rowData.dtinvtax" dateFormat="dd-MM-yy" [monthNavigator]="true"
                                    [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                            </ng-template>
                        </p-column>
                        <p-column header="Jumlah">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <input currencyMask class="form-control" name="totalprice" id="field_totalprice"
                                    [(ngModel)]="rowData.total"
                                    [options]="{ prefix: '', thousands: ',', decimal: '.', precision: '2' }"
                                    style="width: 150px;" [disabled]="rowData.is_disabled" />
                            </ng-template>
                        </p-column>
                        <p-column header="Keterangan">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <input type="text" class="form-control" id="field_dtsentnote_{{rowData.notes}}"
                                    name="field_dtsentnote_{{rowData.notes}}" [(ngModel)]="rowData.notes"
                                    autofocus="autofocus" rows="1" cols="30" autoResize="autoResize"
                                    style="width: 200px;">
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit" (click)="deleteListArray(rowData)"
                                    class="ui-button-danger flat-label-button" icon="fa fa-remove"
                                    pTooltip="Hapus Item">
                                </button>
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
                <div class="ui-g-12" style="margin-bottom: 100px;">
                    <div class="btn-group flex-btn-group-container">
                        <button pButton type="submit" label="Simpan" icon="fa-save"
                            class="ui-button-primary flat-label-button" (click)="savett()" [disabled]="isview === false">
                        </button>
                        <button pButton label="Kembali" class="ui-button-primary flat-label-button"
                            (click)="backMainPage()">
                        </button>
                    </div>
                </div>
                <br><br><br><br><br><br><br><br><br><br><br><br><br><br>
            </div>
        </div>
    </div>
</div>
<p-dialog header="Masukan Lampiran" [(visible)]="modalLampiran" modal="true" [width]="700">
    <form name="selectForm" role="form" novalidate (ngSubmit)="setImange()" #editForm="ngForm">
        <div class="col-md-12">
            <div class="form-group">
                <label class="form-control-label" for="field_doc">Attachment </label>
                <div>
                    <img [src]="'data:' + document.doctype + ';base64,' + document.doc" style="max-height: 300px;"
                        *ngIf="document.doc" alt="  Lampiran Invoice" />
                    <div *ngIf="document.doc" class="form-text text-danger clearfix">
                        <span class="pull-left">{{document.doctype}},
                            {{byteSize(document.doc)}}</span>
                        &nbsp;&nbsp;&nbsp;
                        <button type="button" (click)="clearInputImage('doc', 'doctype', 'fileImage')"
                            class="btn btn-secondary">
                            <span class="fa fa-times"></span>
                        </button>
                    </div>
                    <input type="file" id="file_doc" (change)="setFileData($event, document, 'doc', true)"
                        accept=".pdf,.doc,.docx, image/*" jhiTranslate="entity.action.addimage" />
                    <div [hidden]="!isValidImage" class="text-danger">
                        {{'mpmApp.document.fileLimit' | translate}}
                    </div>
                    <div>
                        <small>max file size: {{maxFileSize | ByteSize}}</small>
                    </div>
                    <!--START INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                    <input type="text" style="display:none;" name="isInsertFile" [(ngModel)]="isInsertFile" required>
                    <!--END INPUT UNTUK VALIDASI REQUIRED IMAGE-->
                </div>
                <input type="hidden" class="form-control" name="doc" id="field_doc" [(ngModel)]="document.doc" />
                <input type="hidden" class="form-control" name="doctype" id="field_doctype"
                    [(ngModel)]="document.doctype" />
            </div>
        </div>
        <div class="modal-footer">
            <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
            </button>
        </div>
    </form>
</p-dialog>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>